Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class AllocationRepository

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
          kieker.tools.traceAnalysis.systemModel.repository.AllocationRepository

    public class AllocationRepository

extends AbstractSystemSubRepository

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static AllocationComponent` | `ROOT_ALLOCATION_COMPONENT`

Fields inherited from class kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
`ROOT_ELEMENT_ID`

Constructor Summary
`AllocationRepository(SystemModelRepository systemFactory)` Creates a new instance of this class using the given parameters.

Method Summary
`AllocationComponent` | `createAndRegisterAllocationComponentInstance(String namedIdentifier, AssemblyComponent assemblyComponentInstance, ExecutionContainer executionContainer)`
`Collection<AllocationComponent>` | `getAllocationComponentInstances()`
`AllocationComponent` | `lookupAllocationComponentInstanceByNamedIdentifier(String namedIdentifier)` Returns the instance for the passed factoryIdentifier; null if no instance with this factoryIdentifier.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_ALLOCATION_COMPONENT

    public static final AllocationComponent ROOT_ALLOCATION_COMPONENT

Constructor Detail

### AllocationRepository

    public AllocationRepository(SystemModelRepository systemFactory)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `systemFactory` - The system factory.

Method Detail

### lookupAllocationComponentInstanceByNamedIdentifier

    public final AllocationComponent lookupAllocationComponentInstanceByNamedIdentifier(String namedIdentifier)

  Returns the instance for the passed factoryIdentifier; null if no instance with this factoryIdentifier.

  Parameters:
    `namedIdentifier` - The identifier to search for.
  Returns:
    The corresponding instance if it exists.

### createAndRegisterAllocationComponentInstance

    public final AllocationComponent createAndRegisterAllocationComponentInstance(String namedIdentifier,
                                                                                  AssemblyComponent assemblyComponentInstance,
                                                                                  ExecutionContainer executionContainer)

### getAllocationComponentInstances

    public final Collection<AllocationComponent> getAllocationComponentInstances()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net